Get a Payment
Retrieve a payment by its ID. You can expand the payment's relations or select the fields that should be returned.
In: header
Path Parameters
The payment's ID.
Query Parameters
Comma-separated fields that should be included in the returned data. if a field is prefixed with + it will be added to the default fields, using - will remove it from the default fields. without prefix it will replace the entire default fields.
Response Body
application/json
application/json
text/plain
application/json
application/json
application/json
application/json
curl -X GET "https://{tenant}.api.myxclade.com/admin/payments/string"{
"payment": {
"id": "string",
"amount": 0,
"authorized_amount": 0,
"currency_code": "string",
"provider_id": "string",
"data": {},
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"captured_at": "2019-08-24T14:15:22Z",
"canceled_at": "2019-08-24T14:15:22Z",
"captured_amount": 0,
"refunded_amount": 0,
"captures": [
{
"id": "string",
"amount": 0,
"created_at": "2019-08-24T14:15:22Z",
"created_by": "string",
"payment": {}
}
],
"refunds": [
{
"id": "string",
"amount": 0,
"refund_reason_id": "string",
"note": "string",
"created_at": "2019-08-24T14:15:22Z",
"created_by": "string",
"payment": {
"id": "string",
"amount": 0,
"authorized_amount": 0,
"currency_code": "string",
"provider_id": "string",
"data": {},
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"captured_at": "2019-08-24T14:15:22Z",
"canceled_at": "2019-08-24T14:15:22Z",
"captured_amount": 0,
"refunded_amount": 0,
"captures": [
{
"id": "string",
"amount": 0,
"created_at": "2019-08-24T14:15:22Z",
"created_by": "string",
"payment": {}
}
],
"refunds": [
{
"id": "string",
"amount": 0,
"refund_reason_id": "string",
"note": "string",
"created_at": "2019-08-24T14:15:22Z",
"created_by": "string",
"payment": {},
"refund_reason": {
"id": "string",
"label": "string",
"description": "string",
"metadata": {},
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"code": "string"
}
}
],
"payment_collection": {},
"payment_session": {}
},
"refund_reason": {
"id": "string",
"label": "string",
"description": "string",
"metadata": {},
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"code": "string"
}
}
],
"payment_collection": {},
"payment_session": {
"id": "string",
"amount": 0,
"currency_code": "usd",
"provider_id": "string",
"data": {},
"context": {
"customer": {
"id": "cus_123"
}
},
"status": "authorized",
"authorized_at": "2019-08-24T14:15:22Z",
"payment_collection": {},
"payment": {
"id": "string",
"amount": 0,
"authorized_amount": 0,
"currency_code": "string",
"provider_id": "string",
"data": {},
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"captured_at": "2019-08-24T14:15:22Z",
"canceled_at": "2019-08-24T14:15:22Z",
"captured_amount": 0,
"refunded_amount": 0,
"captures": [
{
"id": "string",
"amount": 0,
"created_at": "2019-08-24T14:15:22Z",
"created_by": "string",
"payment": {}
}
],
"refunds": [
{
"id": "string",
"amount": 0,
"refund_reason_id": "string",
"note": "string",
"created_at": "2019-08-24T14:15:22Z",
"created_by": "string",
"payment": {},
"refund_reason": {
"id": "string",
"label": "string",
"description": "string",
"metadata": {},
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"code": "string"
}
}
],
"payment_collection": {},
"payment_session": {}
}
}
}
}{
"message": "Discount must be set to dynamic",
"type": "not_allowed"
}"Unauthorized"{
"message": "Entity with id 1 was not found",
"type": "not_found"
}{
"code": "unknown_error",
"message": "The request conflicted with another request. You may retry the request with the provided Idempotency-Key.",
"type": "QueryRunnerAlreadyReleasedError"
}{
"code": "invalid_request_error",
"message": "Discount with code TEST already exists.",
"type": "duplicate_error"
}{
"code": "api_error",
"message": "An error occured while hashing password",
"type": "database_error"
}List Payments
Retrieve a list of payments. The payments can be filtered by fields such as `id`. The payments can also be sorted or paginated.
List Payment Providers
Retrieve a list of payment providers. The payment providers can be filtered by fields such as `id`. The payment providers can also be sorted or paginated.